class StorageError(Exception):
    pass
class Storage(object):
    _storage = {}
    def __init__(self, default=None):
        if default:
            self._storage = default

    def __setattr__(self, key, value):
        if key == '_storage':
            super(Storage, self).__setattr__(key, value)
        else:
            self._storage[key] = value

    def __getattr__(self, item):
        if item == '_storage':
            return super(Storage, self).__getattr__(item)
        if item in self._storage:
            return self._storage[item]
        else:
            # raise ValueError("'"+item+"' Not saved in Storage")
            raise StorageError("'"+item+"' Not saved in Storage")
